<template>
  <b-container>
      <b-row>
          <b-col md=6>
              <test :name="action" @recChange="refreshGrid"></test>
          </b-col>
          <b-col>
            <b-button @click="addNew" variant="info" size="small" class="float-right">Add New Record</b-button>
            <b-table striped hover :items="list" show-empty emptyText="Empty Table Oops!"
                :fields="columns"
            >
                <template v-slot:cell(action)="row">
                    <b-button size="sm" @click="info(row.item, row.index, $event.target)" class="mr-1">
                        Show Form
                    </b-button>
                </template>
            </b-table>
          </b-col>
    <!-- <b-modal ref="my-modal" size="xl">
        <test :name="action"></test>
    </b-modal> -->
      </b-row>
  </b-container>
</template>

<script>
import test from "@/views/Test";

export default {
  components: { test },
  data() {
    return {
      action: "new",
      list: [],
      columns: [
        { key: "email", label: "Email of User" },
        { key: "name", label: "First_Name" },
        { key: "food", label: "Food Preferred" },
        { key: "action", label: "View" }
      ]
    };
  },
  methods: {
    info(item, index, target) {
      localStorage.setItem("formData", JSON.stringify(item));
      //this.$router.push("/test/edit");
      this.action=item.email;
      //this.showModal();
    },
    addNew(evt) {
      evt.preventDefault();
      //this.$router.push("/test/new");
      this.action="new";
      //this.showModal();
    },
    showModal() {
      this.$refs["my-modal"].show();
    },
    hideModal() {
      this.$refs["my-modal"].hide();
    },
    refreshGrid(){
        this.list = JSON.parse(localStorage.getItem("formArray"));
    }
  },
  mounted() {
    if (localStorage.getItem("formArray")) {
      this.list = JSON.parse(localStorage.getItem("formArray"));
    }
  }
};
</script>

<style>
</style>
